restoration.h File Reference
`#include "aom_ports/mem.h"`
`#include "config/aom_config.h"`
`#include "av1/common/blockd.h"`
`#include "av1/common/enums.h"`

Go to the source code of this file.

## Data Structures

struct | RestorationUnitInfo
| Parameters related to Restoration Unit Info. More...
struct | RestorationStripeBoundaries
| Parameters related to Restoration Stripe boundaries. More...
struct | RestorationInfo
| Parameters related to Restoration Info. More...

## Functions

void | av1_loop_restoration_filter_unit (const RestorationTileLimits *limits, const RestorationUnitInfo *rui, const RestorationStripeBoundaries *rsb, RestorationLineBuffers *rlbs, int plane_w, int plane_h, int ss_x, int ss_y, int highbd, int bit_depth, uint8_t *data8, int stride, uint8_t *dst8, int dst_stride, int32_t *tmpbuf, int optimized_lr, struct aom_internal_error_info *error_info)
| Function for applying loop restoration filter to a single unit.
void | av1_loop_restoration_filter_frame (YV12_BUFFER_CONFIG *frame, struct AV1Common *cm, int optimized_lr, void *lr_ctxt)
| Function for applying loop restoration filter to a frame.